Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.uky.kcr.recordlinkage.resultset
Class LinkageResultSet

    java.lang.Object
      edu.uky.kcr.recordlinkage.resultset.LinkageResultSet

    public class LinkageResultSet

extends java.lang.Object

A collection of `LinkageMatch` objects and unmatched `DataSourceRecord`s from a linkage operation. Each `LinkageMatch` is assigned to either the positive or indeterminate lists based on the `LinkageMatch.getScore()` value and the cutoff scores in the `LinkageConfiguration`.

Author:
  ihands

Constructor Summary
`LinkageResultSet()`

Method Summary
`LinkageConfiguration` | `getConfiguration()`
`java.util.List<LinkageMatch>` | `getIndeterminateMatches()`
`java.util.List<LinkageMatch>` | `getPositiveMatches()`
`LinkageDataSource` | `getPrimaryDataSource()`
`LinkageDataSource` | `getSecondaryDataSource()`
`java.util.List<DataSourceRecord>` | `getUnmatchedRecords()`
`void` | `setConfiguration(LinkageConfiguration configuration)`
`void` | `setPrimaryDataSource(LinkageDataSource primaryDataSource)`
`void` | `setSecondaryDataSource(LinkageDataSource secondaryDataSource)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LinkageResultSet

    public LinkageResultSet()

Method Detail

### getPositiveMatches

    public java.util.List<LinkageMatch> getPositiveMatches()

### getUnmatchedRecords

    public java.util.List<DataSourceRecord> getUnmatchedRecords()

### getIndeterminateMatches

    public java.util.List<LinkageMatch> getIndeterminateMatches()

### setConfiguration

    public void setConfiguration(LinkageConfiguration configuration)

### getConfiguration

    public LinkageConfiguration getConfiguration()

### setPrimaryDataSource

    public void setPrimaryDataSource(LinkageDataSource primaryDataSource)

### getPrimaryDataSource

    public LinkageDataSource getPrimaryDataSource()

### setSecondaryDataSource

    public void setSecondaryDataSource(LinkageDataSource secondaryDataSource)

### getSecondaryDataSource

    public LinkageDataSource getSecondaryDataSource()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD